package org.springblade.estate.feign;

import org.springblade.estate.entity.CarEnterRecord;
import org.springblade.estate.vo.CarEnterRecordVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class CarEnterRecordClientFallback implements ICarEnterRecordClient {
            /**
         * 详情
         */
        @Override
        public CarEnterRecordVO detail(CarEnterRecord carEnterRecord) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<CarEnterRecordVO> list(CarEnterRecord carEnterRecord) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( CarEnterRecord carEnterRecord) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( CarEnterRecord carEnterRecord) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( CarEnterRecord carEnterRecord) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public int count(CarEnterRecordVO carEnterRecordVO) {
		return 0;
	}

}
